# Gancio
https://gancio.org


## Initial setup
https://gancio.org/install/docker

**You do not need to clone the full repo as we distribute gancio via npm.**   
A Dockerfile and a docker-compose.yml are the only files needed.

- **Create a directory where everything related to gancio is stored (db, images, config)**

	mkdir /opt/gancio  
	cd /opt/gancio

note that you can choose a different directory.


## Use postgreSQL
1. **Download docker-compose.yml and Dockerfile**

	wget https://gancio.org/docker/Dockerfile  
	wget https://git.lattuga.net/blat/gancio_campiinrete/src/master/docker-compose.yml

2. Create an empty configuration (**this is needed**)

	touch config.json
	mkdir user_locale


## Gandi
La risposta di gandi su come generare certificati SSL con Let's Encrypt
> It is not possible to perform a DNS check via the Certbot client, you
> have to go through a check via your web server (apache or nginx).
> 
> The other solution is to use the acme.sh client which allows you to
> create Let's Encrypt SSL certificates using our API and LiveDNS :
> https://github.com/Neilpang/acme.sh
> https://github.com/Neilpang/acme.sh/wiki/dnsapi#18-use-gandi-livedns-api


## Letsproxy
https://github.com/Neilpang/letsproxy

aggiunti nel docker.compose.yml 
- l'APIkey di gandi nell'environment di letsproxy
	GANDI_LIVEDNS_KEY=
- le conf nell'environment di gancio
	VIRTUAL_HOST=www.campiinrete.org
	ENABLE_ACME=true


# Start gancio
1. Create network
	docker network create gancio_network

2. Run your container
	docker-compose up -d

3. Look at logs with
	docker-compose logs -f


## Test ssl
questo non serve l'abbiamo usato per testare che riuscisse a creare i certificati con l'APIkey di gandi
	docker exec -ti gancio_letsproxy_1 /bin/bash /acme.sh/acme.sh --issue --dns dns_gandi_livedns -d campiinrete.org -d www.campiinrete.org
